/**
 * Copyright (c) 2021 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Sukolsak Sakshuwong <sukolsak@stanford.edu>
 */
import { GraphicsRenderObject } from '../../mol-gl/render-object';
import { RuntimeContext } from '../../mol-task';
declare type RenderObjectExportData = {
    [k: string]: string | Uint8Array | undefined;
};
interface RenderObjectExporter<D extends RenderObjectExportData> {
    add(renderObject: GraphicsRenderObject, ctx: RuntimeContext): Promise<void> | undefined;
    getData(): D;
}
export declare type ObjData = {
    obj: string;
    mtl: string;
};
export declare class ObjExporter implements RenderObjectExporter<ObjData> {
    private obj;
    private mtl;
    private vertexOffset;
    private currentColor;
    private currentAlpha;
    private materialSet;
    private static getSizeFromTexture;
    private static getSize;
    private updateMaterial;
    private addMeshWithColors;
    private addMesh;
    private addLines;
    private addPoints;
    private addSpheres;
    private addCylinders;
    add(renderObject: GraphicsRenderObject, ctx: RuntimeContext): Promise<void> | undefined;
    getData(): {
        obj: string;
        mtl: string;
    };
    constructor(filename: string);
}
export {};
