/**
 * Copyright (c) 2021 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
import { ValueSpec, AttributeSpec, UniformSpec, TextureSpec } from '../../../mol-gl/renderable/schema';
export declare const ColorAccumulateSchema: {
    drawCount: ValueSpec<"number">;
    instanceCount: ValueSpec<"number">;
    aVertex: AttributeSpec<"float32">;
    aPosition: AttributeSpec<"float32">;
    aColor: AttributeSpec<"float32">;
    uCurrentSlice: UniformSpec<"f">;
    uCurrentX: UniformSpec<"f">;
    uCurrentY: UniformSpec<"f">;
    uBboxMin: UniformSpec<"v3">;
    uBboxSize: UniformSpec<"v3">;
    uGridDim: UniformSpec<"v3">;
    uGridTexDim: UniformSpec<"v3">;
    uGridTexScale: UniformSpec<"v2">;
    uResolution: UniformSpec<"f">;
    uQuadScale: UniformSpec<"v2">;
};
export declare const ColorNormalizeSchema: {
    tColor: TextureSpec<"texture">;
    uTexSize: UniformSpec<"v2">;
    drawCount: ValueSpec<"number">;
    instanceCount: ValueSpec<"number">;
    aPosition: AttributeSpec<"float32">;
    uQuadScale: UniformSpec<"v2">;
};
