/**
 * Copyright (c) 2021 mol* contributors, licensed under MIT, See LICENSE file for more info.
 *
 * @author Alexander Rose <alexander.rose@weirdbyte.de>
 */
export var accumulate_frag = "\nprecision highp float;\n\nvarying vec3 vPosition;\nvarying vec3 vColor;\n\nuniform float uCurrentSlice;\nuniform float uCurrentX;\nuniform float uCurrentY;\nuniform float uResolution;\n\nvoid main() {\n    vec2 v = gl_FragCoord.xy - vec2(uCurrentX, uCurrentY) - 0.5;\n    vec3 fragPos = vec3(v.x, v.y, uCurrentSlice);\n    float dist = distance(fragPos, vPosition) * uResolution;\n\n    const f = sqrt(2.0) * 2.0 * 2.0 * uResolution;\n    const s = 2.0 - (dist / f);\n\n    gl_FragColor.rgb = vec4(vColor, 1.0) * s;\n}\n";
//# sourceMappingURL=accumulate.frag.js.map